diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index fdbdcaa..ab1e425 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -1101,6 +1101,8 @@ setup_connection(Archive *AH, const char *dumpencoding, char *use_role)
 		if (AH->sync_snapshot_id)
 		{
 			PQExpBuffer query = createPQExpBuffer();
+			fprintf(stderr, "Snapshot used for connection: %s\n",
+					AH->sync_snapshot_id);
 
 			appendPQExpBufferStr(query, "SET TRANSACTION SNAPSHOT ");
 			appendStringLiteralConn(query, AH->sync_snapshot_id, conn);
@@ -1108,7 +1110,11 @@ setup_connection(Archive *AH, const char *dumpencoding, char *use_role)
 			destroyPQExpBuffer(query);
 		}
 		else if (!AH->slot_name)
+		{
 			AH->sync_snapshot_id = get_synchronized_snapshot(AH);
+			fprintf(stderr, "Snapshot created for non-replication connection: %s\n",
+					AH->sync_snapshot_id);
+		}
 	}
 
 	if (AH->remoteVersion >= 90500)
@@ -1137,6 +1143,9 @@ setup_replication_connection(Archive *AH)
 				progname, query, PQerrorMessage(conn));
 
 	AH->sync_snapshot_id = pg_strdup(PQgetvalue(res, 0, 2));
+	fprintf(stderr, "Snapshot created for replication connection: %s\n",
+			AH->sync_snapshot_id);
+
 	PQclear(res);
 }
 
